<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Indicadores extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if (!$this->Usuario->try()) {
			redirect('login');
		}
		// Load database
		$this->load->model('Indicador_model', 'Indicador', true);
	}

	/**
	 * Muestra información relevante del día, semana y Mes
	 */
	 public function index() {
		if (!$_SESSION['usuario']['admin']) {
			redirect('/ventas/boletas');
		}
		$fecha = $this->input->get('fecha', true);

		$data['indicadores'] = $this->Indicador->dashboard($fecha);

		$data['content'] = $this->load->view('indicadores/index', $data , true);
		$this->load->view('default', $data);
	}
}